> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List sections



## OpenAPI

````yaml /openapi.json get /sections
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /sections:
    get:
      tags:
        - Sections
      summary: List sections
      operationId: listSections
      parameters:
        - $ref: '#/components/parameters/FundIdQuery'
        - $ref: '#/components/parameters/FundCodeQuery'
        - $ref: '#/components/parameters/Q'
      responses:
        '200':
          description: Canonical report sections.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SectionsResponse'
components:
  parameters:
    FundIdQuery:
      name: fund_id
      in: query
      required: false
      description: Filter by fund code.
      schema:
        type: string
    FundCodeQuery:
      name: fund_code
      in: query
      required: false
      description: Filter by fund code.
      schema:
        type: string
    Q:
      name: q
      in: query
      required: false
      description: Text search query.
      schema:
        type: string
  schemas:
    SectionsResponse:
      type: object
      properties:
        sections:
          type: array
          items:
            $ref: '#/components/schemas/SectionSummary'
      required:
        - sections
    SectionSummary:
      type: object
      properties:
        id:
          type: string
        sectionId:
          type: string
        name:
          type: string
        sort_order:
          type: integer
        line_item_count:
          type: integer
        document_count:
          type: integer
        fund_count:
          type: integer

````